#
# spec file for package freetype2 (Version 2.1.7)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         freetype2
License:      Other License(s), see package, GPL
Group:        System/Libraries
Autoreqprov:  on
Version:      2.1.7
Release:      53.6
URL:          http://www.freetype.org
Summary:      A TrueType font library
Source0:      ftp://ftp.freetype.org/freetype/freetype2/freetype-%{version}.tar.bz2
Source1:      ftp://ftp.freetype.org/freetype/freetype2/ftdocs-%{version}.tar.bz2
Patch0:       pcf-bdf.patch
Patch3:       freetype2-bitmap-foundry.patch
Patch4:       ft2-stream-compat.diff
# From http://www.kde.gr.jp/~akito/patch/freetype2/2.1.7
Patch5:       freetype-2.1.7-autohint-cjkfonts-20031130.patch
Patch6:       stop-parsing-if-eexec-is-encountered.patch
Patch100:     freetype2-bc.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This library features TrueType fonts for opensource projects. This
version also contains an autohinter for producing improved output.



Authors:
--------
    David Turner <david.turner@freetype.org>
    Robert Wilhelm <robert.wilhelm@freetype.org>
    Werner Lemberg <werner.lemberg@freetype.org>

%package devel
Summary:      Include Files and Libraries mandatory for Development.
Group:        Development/Libraries/C and C++
Requires:     %{name} = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    David Turner <david.turner@freetype.org>
    Robert Wilhelm <robert.wilhelm@freetype.org>
    Werner Lemberg <werner.lemberg@freetype.org>

%prep
%setup -q -n freetype-%{version} -b 1
%patch0 -p 1 -b .pcf-bdf
%patch3 -p 1 -b .bitmap-foundry
%patch4 -p 1 -b .ft2-stream-compat
%patch5 -p 1 -b .autohint-cjkfonts
%patch6 -p 1 -b .stop-parsing-if-eexec-is-encountered
# Remove the comment character in front ot the '%patch100' line
# if you want to turn on the bytecode interpreter.
# But first read http://www.freetype.org/freetype2/2.1.3-explained.html
# I.3. Do I still need to enable the TrueType bytecode interpreter ?
#
#    Short answer: No for most people !!
#
#%%patch100 -p 1 -b .bytecode
find . -name CVS -type d | xargs rm -rf
find . -name ".cvsignore" | xargs rm -f
%{?suse_update_config:%{suse_update_config -f}}
export CFLAGS="$RPM_OPT_FLAGS -g -fno-strict-aliasing "
make setup CFG="--prefix=/usr --libdir=%{_libdir} --without-zlib"

%build
export CFLAGS="$RPM_OPT_FLAGS -g -fno-strict-aliasing "
make prefix=/usr libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT;
make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/%{_libdir} install

%clean
rm -rf $RPM_BUILD_ROOT;

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc docs/*
%{_libdir}/libfreetype.so.*

%files devel
%defattr(-,root,root)
/usr/include/*
%{_libdir}/libfreetype.*a
%{_libdir}/libfreetype.so
%{_libdir}/pkgconfig/freetype2.pc
/usr/bin/*
/usr/share/aclocal/*

%changelog -n freetype2
* Tue May 11 2004 - mfabian@suse.de
- Bugzilla #39134:
  we stopped linking xpdf against t1lib to avoid some crashes
  due to bugs in t1lib. xpdf now uses freetype2 to render Type1
  fonts. But this causes an endless loop on some .pdf files
  because of a freetype2 bug. The patch
  stop-parsing-if-eexec-is-encountered.patch from upstream CVS
  fixes this problem.
* Fri Apr 16 2004 - mfabian@suse.de
- Bugzilla #38205:
  add patch from http://www.kde.gr.jp/~akito/patch/freetype2/2.1.7
  to improve the hinting results (mainly for CJK fonts).
* Wed Mar 24 2004 - mfabian@suse.de
- Add ft2-stream-compat.diff for binary compatibility when
  upgrading from SLES8 to SLES9.
  The FT_Stream functions have been renamed and although these
  functions were declared for internal use only by the freetype
  developers, they have been used in Qt (and possibly elsewhere).
  Therefore, 3rd party which linked statically against Qt might
  not work after upgrading from SLES8 to SLES9.
  Fix this problem with a patch by Kurt Garloff <garloff@suse.de>
  which defines appropriate weak symbols.
* Tue Mar 16 2004 - mfabian@suse.de
- fix Bugzilla# 36143: backport fixes for bitmap font metric issues
  from CVS to fix  crashes when using bitmap fonts caused by the
  new libXft-2.1.5 from the X.org tree.
* Mon Jan 12 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Fri Jan 09 2004 - mfabian@suse.de
- add "-fno-strict-aliasing" compile option to prevent crashes
  for example in ftdump and mkfontscale.
* Tue Dec 16 2003 - mfabian@suse.de
- update to 2.1.7.
- remove freetype2-type1.patch (included upstream)
- add documentation.
* Thu Oct 09 2003 - schwab@suse.de
- Fix invalid free.
* Fri Sep 26 2003 - mfabian@suse.de
- update to 2.1.5.
- remove freetype-bdf-pcf-drivr.patch, freetype2-bitmap-style.patch
  (included upstream).
- remove gzip-eof.patch.
* Mon Sep 01 2003 - mfabian@suse.de
- add gzip-eof.patch to fix the problem that some gzipped bitmap
  fonts could not be opened by freetype2.
  See also:
  http://marc.theaimsgroup.com/?l=freetype-devel&m=105505219505600&w=2
  and followups.
* Tue Aug 26 2003 - mfabian@suse.de
- add freetype2-bitmap-style.patch: check the bdf properties
  WEIGHT_NAME and SLANT case insensitively. Without that,
  these properties are not correctly recognized when the fonts
  specify them in lower case.
* Tue Apr 08 2003 - mfabian@suse.de
- update to 2.1.4
* Fri Apr 04 2003 - mfabian@suse.de
- update to 2.1.4rc2
- freetype2-gzip-header.patch is obsolete -> removed
* Fri Mar 07 2003 - mfabian@suse.de
- Bug #24755: further improvement: add " Wide" to the family name
  for fonts which have an average width >= point size, i.e. fonts
  which have glyphs which are at least square (or maybe even
  wider). This makes fonts which contain only double width
  characters (for example the "misc-fixed" 18x18ja.bdf) clearly
  distinct from single width fonts of the same family and
  avoids that they get accidentally selected via freetype2/Xft2.
* Fri Mar 07 2003 - mfabian@suse.de
- Bug #24775: partly fixed by a patch to freetype which returns
  "FOUNDRY FAMILY_NAME" as the family_name for bitmap fonts.
  Without that change, all bitmap fonts which have "Fixed"
  in FAMILY_NAME also had the same family_name "Fixed" via
  freetype/Xft2 and it was not possible to distinguish between
  them, therefore the selection of "Fixed" bitmap fonts produced
  quite surprising results. After this change, the fonts show
  up for example as "Misc Fixed", "Etl Fixed", etc. via
  freetype2/Xft2, which makes it easy to select the right one.
* Mon Mar 03 2003 - mfabian@suse.de
- fix for the bug that caused FreeType to loop endlessly when
  trying to read certain compressed gzip files. The following test
  could be used to reveal the bug:
  touch 0123456789 ; gzip 0123456789 ; ftdump 0123456789.gz
  (from upstream CVS)
* Fri Feb 14 2003 - mfabian@suse.de
- freetype-bdf-pcf-drivr.patch: use FT_UShort instead of FT_Short
  for the glyph number of bitmap fonts. The GNU Unicode font
  has 34725 glyphs and because of the usage of signed short
  all glyphs with an index above 2^15 couldn't be displayed.
  Thanks to Gerd Knorr <kraxel@suse.de>.
* Thu Jan 30 2003 - mfabian@suse.de
- disable freetype2-bc.patch, see
  http://www.freetype.org/freetype2/2.1.3-explained.html
* Wed Jan 29 2003 - mfabian@suse.de
- add freetype2-bc.patch
* Mon Jan 13 2003 - mfabian@suse.de
- split out ft2demos into extra package to avoid adding
  x-devel-packages to '# neededforbuild' (XFree86 needs freetype2,
  this would be a loop in the requirements)
- add doc files and license texts.
* Fri Jan 10 2003 - mfabian@suse.de
- fix checking of .gz header (fixes Bug #22712, i.e. fixes
  the problem that freetype2 couldn't open .pcf.gz files which
  contain the original file name or extra fields)
- add programs from ft2demos-2.1.3.
* Thu Nov 21 2002 - mfabian@suse.de
- update to 2.1.3.
* Tue Nov 05 2002 - mfabian@suse.de
- add /usr/share/aclocal/* to filelist
  (thanks to <adrian@suse.de> for noticing the omission)
* Thu Oct 24 2002 - mfabian@suse.de
- update to 2.1.2. From the release notes:
  That's probably the first release of FreeType in the 2.1.x
  development branch that can safely replace 2.0.9 on any
  system.
* Sat Aug 10 2002 - mfabian@suse.de
- freetype2-devel package should require freetype2 package
* Tue Apr 02 2002 - mfabian@suse.de
- upgrade to 2.0.9 (considerably improved rendering of Type1 fonts)
* Wed Mar 06 2002 - mfabian@suse.de
- use the byte code interpreter
* Mon Feb 11 2002 - mfabian@suse.de
- upgrade to 2.0.8
- remove freetype-config.patch (included upstream)
* Tue Feb 05 2002 - adrian@suse.de
- enable debug informations to debug a sig11 in inst-sys
* Tue Feb 05 2002 - pmladek@suse.cz
- fixed missing 'fi' in freetype-config
* Mon Feb 04 2002 - mfabian@suse.de
- update to 2.0.7
- remove freetype-2.0.6-gsf-segv.patch (included in 2.0.7 already)
* Tue Jan 29 2002 - mfabian@suse.de
- add freetype-2.0.6-gsf-segv.patch from upstream CVS to prevent
  SEGV caused by gsf files.
* Tue Jan 22 2002 - mfabian@suse.de
- use %%{_libdir} instead of /usr/lib
* Wed Jan 16 2002 - adrian@suse.de
- updated to 2.0.6
  * important fixes which causes crashes with pfb fonts
  * improved rendering
* Fri Nov 09 2001 - mfabian@suse.de
- updated to 2.0.5
* Sat Jul 21 2001 - egger@suse.de
- Updated to version 2.0.4.
- Use RPM_OPT_FLAGS.
* Wed Jun 06 2001 - egger@suse.de
- Fix filelist.
* Mon Jun 04 2001 - egger@suse.de
- Updated to version 2.0.3.
* Mon Mar 26 2001 - ro@suse.de
- fix build-rooting
* Thu Dec 14 2000 - kukuk@suse.de
- split devel package
* Mon Dec 11 2000 - egger@suse.de
- Updated to version 2.0.1.
* Fri Nov 10 2000 - egger@suse.de
- Initial SuSE package.
